# Generated from license_page_extract-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name license_page_extract

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: A simple gem that extracts the license from a known license page
License: MIT
URL: https://gitlab.com/hanklank/license-page-extract
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Som License pages like OSI or Choose A License are missing an API to get only
the license, without the text. This library will make an url request to a
supported license page only return the license, without the HTML etc.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%license %{gem_instdir}/license_page_extract.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.2-1
- Initial package
